        IA = 5
        IB = 18
        WRITE (6,*) IA, IB
        CALL SWAP (IA, IB)
        WRITE (6,*) IA, IB
        STOP
        END

        SUBROUTINE SWAP ( IC, ID)
          WRITE (6,*) IC, ID
          ITEMP = IC
          IC = ID
          ID = ITEMP
          WRITE (6,*) IC,ID
          END
